//: C04:Facets.cpp {-bor}{-g++}{-mwcc}{-edg}
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <iostream>
#include <locale>
#include <string>
using namespace std;

int main() {
  locale loc("Czech");
  cout.imbue(loc);
  string currency =
    use_facet<moneypunct<char> >(loc).curr_symbol();
  char point =
    use_facet<moneypunct<char> >(loc).decimal_point();
  cout << "Dnes jsem vydělal "<< 120.50 << " " << currency << "!" endl;
} ///:~
